from django.db import models
import uuid

class Plot(models.Model):
    """Database record of a uhepp compliant plot"""

    uuid = models.UUIDField(primary_key=True, default=uuid.uuid4)
    data = models.JSONField()

    def __str__(self):
        metadata = self.data.get("metadata", {})
        return metadata.get("filename", self.uuid)
