from django.shortcuts import render
from django.views import generic
from django.http import JsonResponse
from django.shortcuts import get_object_or_404

from .models import Plot

class PlotIndex(generic.ListView):
    template_name = 'uhepp_vault/plots.html'
    context_object_name = 'plots'

    def get_queryset(self):
        """Return all plots in the db"""
        return Plot.objects.all()

class PlotDetail(generic.DetailView):
    model = Plot
    template_name = 'uhepp_vault/plot.html'
    context_object_name = 'plot'

def plot_detail_json(request, uuid):
    plot = get_object_or_404(Plot, pk=uuid)
    return JsonResponse(plot.data)

def home(request):
    plot_count = Plot.objects.count()
    context = dict(plot_count=plot_count)
    return  render(request, "uhepp_vault/home.html", context=context)
